Community
cancel
Showing results for 
Search instead for 
Did you mean: 
meldaproduction
Beginner
72 Views

Installing IPP

Hi,

I successfuly evaluated IPP on x32, now I needed to check the other platforms I need, unfortunately I ran into problems on both of them:

1) x64
I'm now really confused in what IA64 actually is, because the website actually let me download Itanium. So I checked what Itanium is and it says it is the "unsuccessful" platform Intel 64. But then what is the Intel 64 platform?? The successful one was developed by AMD, so it cannot be called Intel 64, so what is what???

Right now I'm downloading Intel 64 just in case it is what it shouldn't be :). So we'll see. Anyway the Itanium version is much smaller and it does NOT contain the "merged" libraries I need for static linking.

2) Mac OS X
Well, here is situation bad as usual, so I don't blame Intel, but Apple of course :). Anyway the installer let me choose "XCode location" with default "/Developer". When I say OK, it errors with something like
"XCode version installed in the directory is not supported..."
So I checked system requirements, and here we are.

I have OSX 10.5.8, which means latest Leopard, and XCode 3.0. IPP requires XCode 3.1.4, but how can I update XCode? The only version Apple provides is 3.2.2, which I downloaded (more than 2GB btw.), but it cannot be installed on Leopard. So I'm in a deadlock :). I do NOT want to update to Snow leopard, but how can I install IPP then??

Btw. I don't even need XCode, I just need to run it from command line.

Help me please :)
0 Kudos
8 Replies
meldaproduction
Beginner
72 Views

Ok, so a little update - "Intel 64" is really x64. Anyway why? And why it is marked as "em64t"?
Mac OS X still unsolved...
Ying_H_Intel
Employee
72 Views

Hello,

Just quick thought for your reference.

1) yes, a little confused.Intel 64( or"em64t") is really X64.
There are some information talking about IA32, Intel 64(em64t the previous name), IA64 . But seems we need to make it seperated.

Which Intel IPP package should I download?

For example, for Intel Pentium 4 processor systems running Linux*, the install executable file is named l_ipp_ia32_p_x.x.xxx.tgz. Itapply to Mac OS too.

Intel ProcessorIntel IPP Package
32-bit IA-32 and compatible processors (Intel Core 2 processors, Intel Pentium processors, Intel Xeon processors, and compatible AMD* processors)l_ipp_ia32_p_x.x.059.tgz
64-bit Intel 64 and compatible processors (Intel Xeon and Pentium processors, and compatible AMD* processors)l_ipp_em64t_p_x.x.059.tgz
64-bit Intel Itanium processors (Intel Itanium 2 processors)l_ipp_itanium_p_x.x.052.tgz
About the install. What about if go ahead to intall the package?
THe belowarticle is out of date. but may be help.
How can I download the Intel IPP and Intel MKL for Mac OS* X?
Intel Integrated Performance Primitives for Mac OS* - How to install Intel IPP for Mac OS* X
How to link to the Intel IPP for Mac OS* X libraries in application?

Regards,
Ying
meldaproduction
Beginner
72 Views

Thanks Ying, it seems that we just have to take how Intel says it despite it seems, that they want to name x64 by themselves :).

Anyway the Mac OS X problem still not solved. I have found the article and it is talking about previous version. Now it is just a simple installer, which just forbids to install on my XCode version and there is basically no way I can update XCode, so I cannot even install IPP...
meldaproduction
Beginner
72 Views

Little bump here. Still need help with Mac.
Naveen_G_Intel
Employee
72 Views

Hi,

I am not sure, how you will resolve this issue , only way is to upgrade Xcode.

As you said, this version of IPP require Xcode 3.1.x as mentioned in the below table.




regards,
Naveen Gv

meldaproduction
Beginner
72 Views

Well, that's not exactly helpful :). I suggest you find out how can customers fulfill your own system requirements... (I know this mess is caused by Apple, but still...)
Ying_S_Intel
Employee
72 Views

One thing we'd like to verify with you : what exact Intel IPP version did you use?
Thanks,
Ying
meldaproduction
Beginner
72 Views

Well, the latest, no problem downloading a different if you want me to.
Cheers!
Reply